Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Interface RepositorySession

All Superinterfaces:
  Serializable

public interface RepositorySession
extends Serializable

Defines the state of the attempted connection to a Repository.

Field Summary
`static int` | `AUTHENTICATED` The Credentials were successfully authenticated against the Repository.
`static int` | `AUTHENTICATION_ERROR` An error occurred that did not permit authentication of the Credentials against the Repository.
`static int` | `AUTHENTICATION_FAILED` The Credentials failed authentication against the Repository.
`static int` | `NOT_AUTHENTICATED` The Credentials have not been successfully authenticated against the Repository.

Method Summary
`String` | `getRepositoryName()` Returns the display name of the Repository.
`int` | `getState()` Returns the state of this RepositorySession.

Field Detail

### AUTHENTICATED

    public static final int AUTHENTICATED

  The Credentials were successfully authenticated against the Repository.

  See Also:
    Constant Field Values

### NOT_AUTHENTICATED

    public static final int NOT_AUTHENTICATED

  The Credentials have not been successfully authenticated against the Repository.

  See Also:
    Constant Field Values

### AUTHENTICATION_FAILED

    public static final int AUTHENTICATION_FAILED

  The Credentials failed authentication against the Repository.

  See Also:
    Constant Field Values

### AUTHENTICATION_ERROR

    public static final int AUTHENTICATION_ERROR

  An error occurred that did not permit authentication of the Credentials against the Repository.

  See Also:
    Constant Field Values

Method Detail

### getRepositoryName

    public String getRepositoryName()

  Returns the display name of the Repository.

### getState

    public int getState()

  Returns the state of this RepositorySession.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved